<div class="container" fxLayout="column" fxLayoutGap="10px">

  <div fxFlex>
    <div>
      <h3>Menu</h3>
      <hr>
    </div>
  </div>

  <div fxFlex *ngIf="dishes">
    <mat-grid-list cols="2" rowHeight="200px">
      <mat-grid-tile *ngFor="let dish of dishes" [routerLink]="['/dishdetail', dish.id]">
        <img height="200px" src={{dish.image}} alt={{dish.name}}>
        <mat-grid-tile-footer>
          <h1>{{dish.name | uppercase}}</h1>
        </mat-grid-tile-footer>
      </mat-grid-tile>
    </mat-grid-list>
  </div>
  <div [hidden]="dishes">
    <mat-spinner></mat-spinner>
    <h4>Loading . . . Please Wait</h4>
  </div>

  <!-- <div fxFlex *ngIf="selectedDish">
    <mat-card>
      <mat-card-header>
        <mat-card-title>
          <h3>{{selectedDish.name | uppercase}}</h3>
        </mat-card-title>
      </mat-card-header>
      <img mat-card-image src={{selectedDish.image}} alt={{selectedDish.name}}>
      <mat-card-content>
        <p>{{selectedDish.description}}
        </p>
      </mat-card-content>
      <mat-card-actions>
        <button mat-button>LIKE</button>
        <button mat-button>SHARE</button>
      </mat-card-actions>
    </mat-card>
  </div> -->
  <!-- <app-dishdetail [dish]="selectedDish"></app-dishdetail> -->

</div>
